Bug 465414 - yum-remove-with-leaves should be made into a commandline option
yum-remove-with-leaves should be made into a commandline option
Status: CLOSED UPSTREAM
Product: Fedora
Classification: Fedora
Component: yum-utils (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Seth Vidal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-03 03:00 EDT by Jens Petersen
Modified: 2014-01-21 18:06 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-05 10:42:25 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jens Petersen 2008-10-03 03:00:39 EDT
Description of problem:
The yum-remove-with-leaves plugin is too aggressive and should be made into a commandline option so that it is not enabled by default if installed: it practically makes yum unusable.

Steps to Reproduce:
1. yum install yum-*
2. yum upgrade
  
Actual results:
2. yum-remove-with-leaves starts trying to suggest removing lots of leaf packages, etc

Expected results:
2. no packages to be removed by default.
Comment 1 seth vidal 2008-10-03 09:52:39 EDT
So, We can make it an option, but there are two things here:

1. the problem you saw with an update trying to remove things has been fixed in upstream. It was a bug w/how remove-with-leaves looked up what was being removed.

2. yum --disable-plugin=remove-with-leaves update

is the equivalent to disabling the option.

Do we actually need another option?
Comment 2 Jens Petersen 2008-10-05 22:05:05 EDT
(In reply to comment #1)
> 1. the problem you saw with an update trying to remove things has been fixed in
> upstream. It was a bug w/how remove-with-leaves looked up what was being
> removed.

Cool

> Do we actually need another option?

If it is safe to enable it by default then maybe not.
Comment 3 Thomas Spura 2008-10-16 17:26:02 EDT
For me its unsafe, too!!

I just wanted to update my system, but the plugin tries to erase packages, needed by the packages to update.

Maybe, it thinks, that the packages to be updated, are not installed on the system, so the dependencies are not needed anymore, and will be deleted…

Definitely a bug. If this can be solved, it can stay, but to split remove-leaves from update, will be a nicer and easier solution.
Comment 4 seth vidal 2008-10-16 22:03:39 EDT
we've already fixed the bug you noticed. So, it shouldn't be a problem.
Comment 5 Bug Zapper 2008-11-25 22:29:48 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Tim Lauridsen 2009-03-05 07:30:41 EST
i have changed the plugin to only be active if '--remove-leaves' is added to the commandline or 'remove_always=1' is added to the plugin conf file.

It will be available in next release of yum-utils

you can test it by getting this file
http://yum.baseurl.org/gitweb?p=yum-utils.git;a=blob_plain;f=plugins/remove-with-leaves/remove-with-leaves.py;hb=5fe8db1bffd48f8000cedebeffea7c2f56dffb41

and copy it into /usr/lib/yum-plugins/

Note You need to log in before you can comment on or make changes to this bug.